#include <stdlib.h>

#define NO_EXIST_TEXT -1
#define END_FILE 0
#define UNKNOWN 1
#define TEXT 2
#define SCRIPT 4
#define QUOTE 8
#define QQUOTE 16
#define HERE_START 32
#define HERE_STOP 64
#define STRING 128
#define SSTRING 256
#define HSTRING 512
#define COMMENT 1024
#define SCRIPT_START 2048
#define SCRIPT_END 4096

#define LEX_PHP 1

#define LEX_OUTPUT_ERRORS 8
#define LEX_FATAL_ERRORS 16

#define LEX_ASP_TAG 64
#define LEX_SHORT_TAG 128
#define LEX_DEBUG 256

/* this is the main interface.  Give it a file and it'll call your
   callback repeatedly with the results from the parse */

int phtmlparse_file ( FILE* in_stream, int options, 
			   void (*callback)(int, size_t, char *, void *ignore),
			   void *callback_data );

/* phtmlparse_error_message is exported, but I don't think it's a good
   idea to use it?? */

char *phtmlparse_error_message;

inline int phtmlparse_is_text (int check) ;
inline int phtmlparse_is_script (int check);
inline int phtmlparse_is_string (int check);
inline int phtmlparse_is_tag (int check);
